
From: Adrian Bunk <bunk@fs.tum.de>

The patch below removes a kernel 2.2 #ifdef from fs/adfs/adfs.h .

Note that this #ifdef was only present in the header, the implementation 
of adfs_bmap was already removed.



---

 fs/adfs/adfs.h |    4 ----
 1 files changed, 4 deletions(-)

diff -puN fs/adfs/adfs.h~adfs-2.2-cruft fs/adfs/adfs.h
--- 25/fs/adfs/adfs.h~adfs-2.2-cruft	2004-02-07 17:32:01.000000000 -0800
+++ 25-akpm/fs/adfs/adfs.h	2004-02-07 17:32:01.000000000 -0800
@@ -68,12 +68,8 @@ struct adfs_discmap {
 
 
 /* Inode stuff */
-#if LINUX_VERSION_CODE >= KERNEL_VERSION(2,3,0)
 int adfs_get_block(struct inode *inode, sector_t block,
 		   struct buffer_head *bh, int create);
-#else
-int adfs_bmap(struct inode *inode, int block);
-#endif
 struct inode *adfs_iget(struct super_block *sb, struct object_info *obj);
 void adfs_read_inode(struct inode *inode);
 void adfs_write_inode(struct inode *inode,int unused);

_
